gRPC C#
gRPC C#
Namespaces
Grpc.Core
IClientStreamWriter(T) Interface
IClientStreamWriter(T) Methods
CompleteAsync Method

IClientStreamWriter T CompleteAsync Method

Completes/closes the stream. Can only be called once there is no pending write. No writes should follow calling this.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    Task CompleteAsync()

    Function CompleteAsync As Task

    Task^ CompleteAsync()

    abstract CompleteAsync : unit -> Task

#### Return Value

Type: Task
See Also

#### Reference

IClientStreamWriter
T
Interface
Grpc.Core Namespace